Package org.mariadb.jdbc.message.client

## Class ResetPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.ResetPacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class ResetPacket
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

### Field Summary

Fields
`static ResetPacket` `INSTANCE`

### Constructor Summary

Constructors
`ResetPacket()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Field Detail

#### INSTANCE

    public static final ResetPacket INSTANCE

### Constructor Detail

#### ResetPacket

    public ResetPacket()

### Method Detail

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Throws:
  `IOException`